
#import "SimpleLineGraphAppDelegate.h"

@implementation SimpleLineGraphAppDelegate

@synthesize window;

- (void)changeGraphView:(id)sender
{

	offset += 1;
	
	VC_Input_String_Constructor *constructor = [graphView get_VC_input_string_constructor];
	
	[constructor VC_reset];

	[constructor VC_append_key:"vvidgetcode_deployment_license" string_value:@"embedded 1d65ch78f09aadR06464fY6"];
		
	NSMutableString *dataString = [NSMutableString stringWithCapacity:1024];
	double x, y;
	int i;
	
	for(i = 0; i < 50; i++)
	{
		x = i;
		y = log10((i + offset)/6.0);
		
		[dataString appendFormat:@"%g %g ", x, y];
	}
	
	/* Update the graph */
	
	[constructor VC_append_key:"chart_type" string_value:@"line"];
	[constructor VC_append_key:"chart_subtype" string_value:@"linear"];
	[constructor VC_append_key:"chart_format_type" string_value:@"default"];
	
	[constructor VC_append_key:"title" string_value:@"Vvidget Tutorial Project"];
	[constructor VC_append_key:"x_title" string_value:@"Tutorial Domain"];
	[constructor VC_append_key:"y_title" string_value:@"Tutorial Range"];
	
	[constructor VC_append_key:"data_1" string_value:dataString];
	
	[constructor VC_append_key:"line_color" string_value:@"0000FF"];
		
	/* Update the graph display. */
	
	[graphView VCN_update_using_input_string_constructor];
	
	[graphView display];
		
	return;
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	
	[self changeGraphView:nil];
	 
}

@end
